var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/common/confirmation-popup.tmpl', 'views/components/text-replacement-helper'], function(app, ItemView, _, template, TextReplacement) {
  var ConfirmationPopup;
  ConfirmationPopup = (function(_super) {
    __extends(ConfirmationPopup, _super);

    function ConfirmationPopup() {
      return ConfirmationPopup.__super__.constructor.apply(this, arguments);
    }

    ConfirmationPopup.prototype.template = template;

    ConfirmationPopup.prototype.required = ['msg', 'callback'];

    ConfirmationPopup.prototype.events = {
      'click .js-confirm': 'confirm'
    };

    ConfirmationPopup.prototype.confirm = function() {
      this.lockUI();
      return this.options.callback(1);
    };

    ConfirmationPopup.prototype.onDomRefresh = function() {
      TextReplacement(this.el.querySelector('.js-msg'), 'vg', '<i class="o-icon--vgold u-mr-5 u-mb-5"></i>');
      return TextReplacement(this.el.querySelector('.js-msg'), 'vd', '<i class="o-icon--vdollar u-mr-5 u-mb-5"></i>');
    };

    return ConfirmationPopup;

  })(ItemView);
  return ConfirmationPopup;
});
