var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/common/select-dialog.tmpl'], function(app, ItemView, _, template) {
  var SelectDialogView;
  SelectDialogView = (function(_super) {
    __extends(SelectDialogView, _super);

    function SelectDialogView() {
      return SelectDialogView.__super__.constructor.apply(this, arguments);
    }

    SelectDialogView.prototype.template = template;

    SelectDialogView.prototype.className = 'js-select-dialog-screen';

    SelectDialogView.prototype.required = ['collection', 'callback'];

    SelectDialogView.prototype.events = {
      'click .js-select': 'select'
    };

    SelectDialogView.prototype.select = function(event) {
      this.lockUI();
      this.options.callback(event.currentTarget.getAttribute('data-id'));
      return app.screens.back();
    };

    return SelectDialogView;

  })(ItemView);
  return SelectDialogView;
});
