var __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/referrals/referrals-list.tmpl'], function(app, ItemView, _, template) {
  var ReferralsList;
  ReferralsList = (function(_super) {
    __extends(ReferralsList, _super);

    function ReferralsList() {
      this.preprocessData = __bind(this.preprocessData, this);
      return ReferralsList.__super__.constructor.apply(this, arguments);
    }

    ReferralsList.prototype.template = template;

    ReferralsList.prototype.className = 'no-bg-image';

    ReferralsList.prototype.data = {
      referrals: 'user.get_referrals'
    };

    ReferralsList.prototype.providers = {
      '1': {
        type: 'vk',
        'name': 'Vkontakte'
      },
      '2': {
        type: 'fb',
        'name': 'Facebook'
      },
      '3': {
        type: 'google',
        'name': 'Google+'
      }
    };

    ReferralsList.prototype.preprocessData = function(data) {
      data.referrals = data.referrals.users;
      data.providers = this.providers;
      return data;
    };

    return ReferralsList;

  })(ItemView);
  return ReferralsList;
});
