var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/settings/nickname.tmpl'], function(app, ItemView, _, template) {
  var ChangeUsernameView;
  ChangeUsernameView = (function(_super) {
    __extends(ChangeUsernameView, _super);

    function ChangeUsernameView() {
      return ChangeUsernameView.__super__.constructor.apply(this, arguments);
    }

    ChangeUsernameView.prototype.template = template;

    ChangeUsernameView.prototype.className = 'no-bg-image';

    ChangeUsernameView.prototype.data = {
      info: 'user.usernameChangeInfo',
      short_info: 'user.info.short'
    };

    ChangeUsernameView.prototype.events = {
      'click .js-buy-username': 'buyUsername'
    };

    ChangeUsernameView.prototype.buyUsername = function(event) {
      var newUsername;
      this.lockUI();
      newUsername = this.$('.js-new-username').val();
      return app.server.user.changeUsername({
        username: newUsername,
        success: (function(_this) {
          return function(data) {
            return app.screens.modal('common/info-popup', {
              msg: data.setFlash[0].msg || app.tr("Changed nickname")
            }, app.screens.back());
          };
        })(this),
        error: (function(_this) {
          return function(data) {
            return app.screens.modal('common/info-popup', {
              msg: data.setFlash[0].msg || app.tr("Something went wrong")
            });
          };
        })(this)
      });
    };

    return ChangeUsernameView;

  })(ItemView);
  return ChangeUsernameView;
});
