var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/shop/redeem-code.tmpl'], function(app, ItemView, _, template) {
  var RedeemCode;
  RedeemCode = (function(_super) {
    __extends(RedeemCode, _super);

    function RedeemCode() {
      return RedeemCode.__super__.constructor.apply(this, arguments);
    }

    RedeemCode.prototype.template = template;

    RedeemCode.prototype.className = 'no-bg-image2';

    RedeemCode.prototype.events = {
      'click .js-redeem-code': 'redeemCode'
    };

    RedeemCode.prototype.redeemCode = function(event) {
      var code;
      this.lockUI();
      code = this.$el.find('.js-code').val();
      if (code === '') {
        app.screens.modal('common/info-popup', {
          msg: app.tr('Enter code')
        });
        return;
      }
      return app.server.user.redeem_code({
        code: code,
        success: function(data) {
          $('.js-code').val('');
          return app.screens.modal('shop/redeem-code-popup', {
            resultData: data
          });
        },
        error: function(data) {
          return app.screens.modal('common/info-popup', {
            msg: data.setFlash[0].msg || app.tr("Something went wrong")
          });
        }
      });
    };

    return RedeemCode;

  })(ItemView);
  return RedeemCode;
});
