define(['app', 'views/item-view', 'underscore', 'text!templates/trade-center/currencies.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      'lots': 'tradeCenter.currencyLotsList'
    },
    events: {
      'click .js-goto-vg2vd': 'gotoVg2Vd',
      'click .js-goto-vd2vg': 'gotoVd2Vg'
    },
    gotoVd2Vg: function(event) {
      this.lockUI();
      return app.screens.dialog('trade-center/currencies-vd2vg');
    },
    gotoVg2Vd: function(event) {
      this.lockUI();
      return app.screens.dialog('trade-center/currencies-vg2vd');
    }
  });
});
