var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/trade-center/sell-item-maria.tmpl'], function(app, ItemView, _, template) {
  var SellItemMaria;
  SellItemMaria = (function(_super) {
    __extends(SellItemMaria, _super);

    function SellItemMaria() {
      return SellItemMaria.__super__.constructor.apply(this, arguments);
    }

    SellItemMaria.prototype.template = template;

    SellItemMaria.prototype.events = {
      'click .js-confirm': 'purchaseItem'
    };

    SellItemMaria.prototype.onRender = function() {
      return this.$('.js-items-number').change((function(_this) {
        return function(event) {
          var itemsAmount, mariaBuying;
          itemsAmount = $(event.currentTarget).val();
          if (itemsAmount > _this.model.get('user_count')) {
            $(event.currentTarget).val(_this.model.get('number'));
            itemsAmount = _this.model.get('number');
          }
          mariaBuying = _this.model.get('need') - _this.model.get('quantity');
          if (itemsAmount > mariaBuying) {
            $(event.currentTarget).val(mariaBuying);
            itemsAmount = mariaBuying;
          }
          return _this.$('.js-payment-amount').html((itemsAmount * _this.model.get('price')).toFixed(2));
        };
      })(this));
    };

    SellItemMaria.prototype.purchaseItem = function() {
      var number;
      this.lockUI();
      number = this.$('.js-items-number').val();
      return app.server.tradeCenter.sellToCity({
        cityLotId: this.model.get('id'),
        number: number,
        success: function(data) {
          return app.screens.modal('common/info-popup', {
            msg: data.setFlash[0].msg || app.tr("Items sold")
          });
        },
        error: function(data) {
          return app.screens.modal('common/info-popup', {
            msg: data.setFlash[0].msg || app.tr("Something went wrong")
          });
        }
      });
    };

    return SellItemMaria;

  })(ItemView);
  return SellItemMaria;
});
