define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.screens.closeCurrentModals();
      return app.modalDialog.close();
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr("Excellent! Continue in the same spirit, the city is still full of bandits.");
    }
  });
});
