define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/get-award-1');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('You did a great job! Do not forget to pick up the award for the job.');
    }
  });
});
