define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.menu.open();
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/trade-center-2');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('No need to fight with the bandits bare fists, in the Mall you will find many interesting.');
    }
  });
});
