var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/feed/private.tmpl', 'views/components/clusterize-helper'], function(app, ItemView, _, template, ClusterizeHelper) {
  var PrivateFeed;
  PrivateFeed = (function(_super) {
    __extends(PrivateFeed, _super);

    function PrivateFeed() {
      return PrivateFeed.__super__.constructor.apply(this, arguments);
    }

    PrivateFeed.prototype.className = 'feed-layout';

    PrivateFeed.prototype.template = template;

    PrivateFeed.prototype.data = {
      feed: {
        pointer: 'groupFeed',
        feedGroup: 'personal'
      }
    };

    PrivateFeed.prototype.events = {
      'click .js-feed': 'feedClick'
    };

    PrivateFeed.prototype.feedClick = function(event) {
      var feedGroup, postId;
      feedGroup = event.currentTarget.getAttribute('data-group');
      if (feedGroup === 'newspaper_city' || feedGroup === 'newspaper_global' || feedGroup === 'newspaper_subscription') {
        postId = event.currentTarget.getAttribute('data-info');
        if (postId !== "") {
          return app.screens.dialog('news/article', {
            postId: postId
          });
        }
      }
    };

    PrivateFeed.prototype.onDomRefresh = function() {
      return ClusterizeHelper(this.$el);
    };

    return PrivateFeed;

  })(ItemView);
  return PrivateFeed;
});
