var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/login/policy-rus.tmpl', 'text!templates/login/policy-eng.tmpl', 'text!templates/login/policy-pol.tmpl'], function(app, ItemView, _, template_rus, template_eng, template_pol) {
  var PolicyView;
  PolicyView = (function(_super) {
    __extends(PolicyView, _super);

    function PolicyView() {
      return PolicyView.__super__.constructor.apply(this, arguments);
    }

    PolicyView.prototype.events = {
      'click .js-policy-language': 'changeLanguage'
    };

    PolicyView.prototype.initialize = function(options) {
      this.template = eval("template_" + app.translations.getLocale());
      return PolicyView.__super__.initialize.call(this, options);
    };

    PolicyView.prototype.changeLanguage = function(event) {
      var locale;
      locale = event.currentTarget.getAttribute('data-language');
      this.template = _.template(eval("template_" + locale));
      return this.render();
    };

    return PolicyView;

  })(ItemView);
  return PolicyView;
});
