var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/maria/districts.tmpl'], function(app, ItemView, _, template) {
  var DistrictsView;
  DistrictsView = (function(_super) {
    __extends(DistrictsView, _super);

    function DistrictsView() {
      return DistrictsView.__super__.constructor.apply(this, arguments);
    }

    DistrictsView.prototype.template = template;

    DistrictsView.prototype.data = {
      userStatus: 'user.status',
      districts: 'military.districts.get'
    };


    /*
    			Center cloud
     */

    DistrictsView.prototype.centerCloud = function() {
      var $cloud, $container;
      if ($('.c-cloud').length > 0) {
        $cloud = $('.c-cloud');
        $container = $('.js-current-screen');
        return $cloud.css('margin-top', ($container.height() / 2 - $cloud.height() / 2) / 2);
      }
    };

    DistrictsView.prototype.onDomRefresh = function() {
      return this.centerCloud();
    };

    return DistrictsView;

  })(ItemView);
  return DistrictsView;
});
