define(['app', 'views/item-view', 'underscore', 'text!templates/military-base/store.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    className: 'military-layout',
    data: {
      info: 'military.info'
    },

    /*
    			Center cloud
     */
    centerCloud: function() {
      var height;
      if ($('.c-cloud').length > 0) {
        height = $('.js-current-screen').outerHeight() - $('.c-header-wrapper').outerHeight() - $('.c-cloud').outerHeight();
        return $('.c-cloud').css('margin-top', height / 2);
      }
    },
    onDomRefresh: function() {
      return this.centerCloud();
    }
  });
});
