var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/profile/combat.tmpl', 'text!templates/inventory/item.tmpl'], function(app, ItemView, _, template, itemTemplate) {
  var CombatView;
  CombatView = (function(_super) {
    __extends(CombatView, _super);

    function CombatView() {
      return CombatView.__super__.constructor.apply(this, arguments);
    }

    CombatView.prototype.template = template;

    CombatView.prototype.itemTemplate = itemTemplate;

    CombatView.prototype.events = {
      'click .js-open-info': 'openInfo',
      'click .js-close-info': 'closeInfo'
    };

    CombatView.prototype.data = {
      info: 'user.info'
    };

    CombatView.prototype.initialize = function() {
      CombatView.__super__.initialize.apply(this, arguments);
      return this.options.itemTemplate = _.template(this.itemTemplate);
    };

    CombatView.prototype.openInfo = function(event) {
      return this.$el.find('.c-hidden-info').show();
    };

    CombatView.prototype.closeInfo = function(event) {
      return this.$el.find('.c-hidden-info').hide();
    };

    return CombatView;

  })(ItemView);
  return CombatView;
});
