var __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/ratings/filter_productionType.tmpl'], function(app, ItemView, _, template, EnergySlider) {
  var FilterView;
  FilterView = (function(_super) {
    __extends(FilterView, _super);

    function FilterView() {
      this.onDataLoaded = __bind(this.onDataLoaded, this);
      this.initialize = __bind(this.initialize, this);
      return FilterView.__super__.constructor.apply(this, arguments);
    }

    FilterView.prototype.template = template;

    FilterView.prototype.data = {
      companyTypes: 'business.getCompanyTypeList'
    };

    FilterView.prototype.initialize = function(options) {
      var screen_options_obj;
      this.options = options;
      screen_options_obj = JSON.parse(this.options.screen_options);
      this.options.screenId = (function() {
        switch (screen_options_obj.activeTab) {
          case 0:
            return 'ratings/players';
          case 1:
            return 'ratings/companies';
          case 2:
            return 'ratings/corporations';
          case 3:
            return 'ratings/cities';
        }
      })();
      return FilterView.__super__.initialize.call(this, this.options);
    };

    FilterView.prototype.onDataLoaded = function(data) {
      app.companyTypes = data.companyTypes.companyTypes;
      return FilterView.__super__.onDataLoaded.call(this, data);
    };

    return FilterView;

  })(ItemView);
  return FilterView;
});
