var __hasProp = {}.hasOwnProperty,
  __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

define(['app', 'views/item-view', 'underscore', 'text!templates/suggestions.tmpl', 'views/components/clusterize-helper'], function(app, ItemView, _, template, ClusterizeHelper) {
  var SuggestionsView;
  SuggestionsView = (function(_super) {
    __extends(SuggestionsView, _super);

    function SuggestionsView() {
      return SuggestionsView.__super__.constructor.apply(this, arguments);
    }

    SuggestionsView.prototype.template = template;

    SuggestionsView.prototype.data = {
      suggestions: 'suggestions.newSuggestions'
    };

    SuggestionsView.prototype.events = {
      'click .js-suggestion': 'goToSuggestion'
    };

    SuggestionsView.prototype.goToSuggestion = function(event) {
      var suggestionId;
      this.lockUI();
      suggestionId = event.currentTarget.getAttribute('data-post-id');
      return app.screens.dialog('suggestions/suggestion', {
        suggestionId: suggestionId
      });
    };


    /*
    			Center cloud
     */

    SuggestionsView.prototype.centerCloud = function() {
      var $cloud, $container;
      if ($('.c-cloud').length > 0) {
        $cloud = $('.c-cloud');
        $container = $('.js-current-screen');
        return $cloud.css('margin-top', ($container.height() / 2 - $cloud.height() / 2) / 2);
      }
    };

    SuggestionsView.prototype.onDomRefresh = function() {
      this.centerCloud();
      return ClusterizeHelper(this.$el);
    };

    return SuggestionsView;

  })(ItemView);
  return SuggestionsView;
});
