define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    className: 'o-tutor quests-1',
    _controlSelector: '.js-tutor-quests',
    _wrapperSelector: '.js-menu',
    nextScreen: function(event) {
      $('.js-tutor-quests').removeClass('c-pulsate');
      app.menu.close();
      app.modalDialog.close();
      app.screens.once('view:ready', function() {
        return app.tutorial.startNextTutorial();
      });
      return app.screens.main('quests');
    }
  });
});
