define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      return app.modalDialog.screen('tutor/fight-5');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr("You can choose with whom to fight. To fight the gang leader you must first defeat his assistants.");
    }
  });
});
