define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      return app.modalDialog.close();
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr("You healthy! Don't forget to go to the hospital when injured.");
    },
    onDomRefresh: function(event) {
      return app.menu.open();
    }
  });
});
