define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.modalDialog.close();
      app.screens.closeCurrentModals();
      app.screens.once('view:ready', function() {
        return app.modalDialog.screen('tutor/job-5');
      });
      return app.screens.tab('job');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('Now yo have a job! So go and do some work');
    }
  });
});
